{#- For name header -#}
#ifndef {{ name|upper }}_LAYER_H
#define {{ name|upper }}_LAYER_H

/* Activation "{{ activation_type|lower }}" layer */

{# For layer configuration -#}
#define {{ name|upper }}_INPUTS_SIZE {{ in_size[0] }}
#define {{ name|upper }}_OUTPUTS_SIZE {{ out_size[0] }}
{% if axis is defined %}
#define {{ name|upper }}_AXIS {{ axis }}
#define {{ name|upper }}_INPUT_DIMS_SIZE {{ in_dims[0]|length}}
{% endif %}
#define {{ name|upper }}_ACTIVATION "{{ activation_type }}"

#endif /* {{ name|upper }}_LAYER_H */
